//
//  EnvironmentPreferenceExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.11.23.
//

import SwiftUI

struct EnvironmentPreferenceExampleView: View {
    @Environment(\.font) var font
    
    var body: some View {
        NavigationView {
            VStack {
                Image(systemName: "globe")
                Text("Hello World")
            }
            //.font(.title)
            .environment(\.font, .title)
            .navigationTitle("Title")
        }
    }
}

#Preview {
    EnvironmentPreferenceExampleView()
}
