//
//  LayoutPriorityContainerExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct LayoutPriorityContainerExampleView: View {
    var body: some View {
        VStack {
            HStack {
                Color.red
                Color.yellow
                Color.orange
            }
            .frame(height: 100)
            
            
            HStack {
                Color.red
                Color.yellow
                    .layoutPriority(0.3)
                Color.orange
                    .layoutPriority(0.2)
            }
            .frame(height: 100)
            
            PriorityWidthHStack(spacing: 10) {
                Color.red
                    .layoutPriority(0.5)
                Color.yellow
                    .layoutPriority(0.3)
                Color.orange
                    .layoutPriority(0.2)
            }
            .frame(height: 100)
        }
    }
}

#Preview {
    LayoutPriorityContainerExampleView()
}
