//
//  LayoutProjectApp.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.08.2023.
//

import SwiftUI

@main
struct LayoutProjectApp: App {
    var body: some Scene {
        WindowGroup {
            NavigationListView()
        }
        
        #if os(macOS)
        Settings {
            TabView {
                SettingMacOSView()
                    .tabItem { Label("System", systemImage: "gear") }
                Text("Something else")
                    .tabItem { Label("Notes", systemImage: "note") }
            }
            
        }
        #endif
    }
}
