//
//  PositionIntroductionView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct PositionIntroductionView: View {
    var body: some View {
        VStack(alignment: .leading, spacing: 30, content: {
            
            ResizableImageView(imageName: "beach")
            
            VStack(alignment: .leading,
                   spacing: 10) {
                Text("Title")
                    .font(.title)
                
                Text("show more details")
            }
            .padding(.horizontal)
            
            HStack {
                Spacer()
                Text("something awesome")
            }
            .padding(.top, 30)
            
            Text("something awesome")
                .frame(maxWidth: .infinity,
                       alignment: .trailing)
            
        })
           
    }
}

#Preview {
    PositionIntroductionView()
       // .environment(\.layoutDirection, .rightToLeft)
}
