//
//  GroupExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct GroupExampleView: View {
    
    let isLoggedIn: Bool
    
    var body: some View {
       VStack {
            Group {
                Text("First")
                
                Text("Second View")
                
                Text("Third View")
            }
            .border(Color.yellow)
            
            Group {
                if isLoggedIn {
                    Text("Thank you for signing up")
                } else {
                    Text("You need to log in to get access")
                }
            }
            .foregroundStyle(Color.blue)
            
            
        }
    }
}

#Preview {
    GroupExampleView(isLoggedIn: true)
}
