//
//  VerticalScrollExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct VerticalScrollExampleView: View {
    
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        ScrollView {
            LazyVStack(spacing: 10) {
                ForEach(inspirations) { inspiration in
                   InspirationCard(inspiration: inspiration)
                }
            }
            .padding(20)
        }
    }
}

#Preview {
    VerticalScrollExampleView()
}
