//
//  ImageUpscalingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.09.2023.
//

import SwiftUI

struct ImageUpscalingExampleView: View {
    var body: some View {
        VStack {
            Image(.avocadoSmall)
            
            Image(.avocadoSmall)
                .resizable()
                .interpolation(.none)
                .frame(width: 100, height: 100)
            
            Image(.avocadoSmall)
                .resizable()
                .interpolation(.low)
                .frame(width: 100, height: 100)
            
            
            Image(.avocadoSmall)
                .resizable(capInsets: .init(top: 10, leading: 10, bottom: 0, trailing: 0),
                           resizingMode: .tile)
                .frame(width: 200, height: 200)
        }
    }
}

#Preview {
    ImageUpscalingExampleView()
}
