//
//  ScaleEffectExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct ScaleEffectExampleView: View {
    var body: some View {
        VStack {
            HStack {
                Text("Hello, World!")
                    .zIndex(/*@START_MENU_TOKEN@*/1.0/*@END_MENU_TOKEN@*/)
                Text("Make me larger")
                    .foregroundStyle(.accent)
                    .padding()
                    .background(Color.yellow)
                    .scaleEffect(x: 1.5, y: 1.5, anchor: .center)
                
                Text("After the shape")
            }
            
            HStack {
                Text("large")
                Image(.avocadoLarge)
                    .border(Color.red)
                    .scaleEffect(CGSize(width: 0.5, height: 0.5))
                    .border(/*@START_MENU_TOKEN@*/Color.black/*@END_MENU_TOKEN@*/)
                Text("avocado")
            }
        }
    }
}

#Preview {
    ScaleEffectExampleView()
}
