//
//  SizingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.09.2023.
//

import SwiftUI

struct SizingExampleView: View {
    var body: some View {
        HStack {
            Text("Eat more")
            Image("avocado_large")
            Text("Avocado Toast")
                .layoutPriority(1)
        }
        .font(.title)
        .lineLimit(1)
    }
}

#Preview {
    SizingExampleView()
}
