//
//  TextSizingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.09.2023.
//

import SwiftUI

struct TextSizingExampleView: View {
    var body: some View {
        VStack {
            HStack {
                Text("Eat more")
                Image("avocado_large")
                Text("Avocado Toast")
                    .layoutPriority(1)
            }
            .font(.title)
            .lineLimit(1)
            .frame(width: 300)
            .border(/*@START_MENU_TOKEN@*/Color.black/*@END_MENU_TOKEN@*/)
            
            
        }
    }
}

#Preview {
    TextSizingExampleView()
}
