//
//  CreateProfileView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.12.23.
//

import SwiftUI

struct CreateProfileView: View {
    @State var name: String = ""
    @State var familyName: String = ""
    @State var nickname: String = ""
    @State var interests: String = ""
    @State var profileDescription: String = ""
    
    @State var textfieldText: String = ""

    var body: some View {
        NavigationStack {
            List {
                TextField("Name", text: $name)
                TextField("Family Name", text: $familyName)
                TextField("Nickname", text: $nickname)
                TextField("Interests", text: $interests)
                Section {
                    TextField("Textfield1", text: $textfieldText)
                    TextField("Textfield2", text: $textfieldText)
                    TextField("Textfield3", text: $textfieldText)
                    TextField("Textfield4", text: $textfieldText)
                    TextField("Textfield5", text: $textfieldText)
                }
                Section("Describe Yourself") {
                    TextEditor(text: $profileDescription)
                }
            }
            .navigationTitle("Create A User Profile")
        }
    }
}

#Preview {
    CreateProfileView()
}
