//
//  KeyboardAdaptionView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.12.23.
//

import SwiftUI

struct EditCatView: View {
    @State private var text = ""
    
    var body: some View {
        VStack {
            Text("What is your cats name?")
                .font(.title)
            Image(.cat2)
                .resizable()
                .scaledToFit()
            
            TextField("Name", text: $text)
                .textFieldStyle(.roundedBorder)
            
            Button {
            } label: {
                Text("Save")
            }
            .buttonStyle(.borderedProminent)
        }
        .padding()
    }
}

#Preview {
    EditCatView()
}

