//
//  ImageAssetsGalleryView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.11.23.
//

import SwiftUI

struct ImageAssetsGalleryView: View {
    
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        ScrollView {
            LazyVStack {
                ForEach(inspirations) { inspiration in
                    Image(inspiration.imageName)
                        .resizable()
                        .scaledToFit()
                }
            }
        }
    }
}

#Preview {
    ImageAssetsGalleryView()
}
