//
//  LazyHStackExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.11.23.
//

import SwiftUI

struct LazyHStackExampleView: View {
    let emojis = Emoji.examples()
    
    var body: some View {
        ScrollView(.horizontal) {
            LazyHStack {
                ForEach(emojis) { emoji in
                    EmojiView(emoji: emoji)
                }
            }
        }
    }
}

#Preview {
    LazyHStackExampleView()
}
