//
//  ColorGridView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct ColorGridView: View {
    var body: some View {
        Grid(alignment: .topLeading,
             horizontalSpacing: 0,
             verticalSpacing: 0) {
            
            GridRow(alignment: .center) {
                Color.red
                    .frame(width: 100, height: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
                Color.blue
                    .frame(width: 50, height: 50)
                Color.yellow
                    .frame(width: 100, height: 130)
            }
            
            GridRow(alignment: .bottom) {
                Color.blue
                    .frame(width: 50, height: 50)
                
                Color.red
                    .frame(width: 100, height: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
                    .gridColumnAlignment(.trailing)

                Color.yellow
                    .frame(width: 10, height: 30)
            }
            
            GridRow(alignment: .center) {
                Color.yellow
                    .frame(width: 100, height: 130)
                Color.red
                    .frame(width: 100, height: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
                Color.blue
                    .frame(width: 50, height: 50)
                    .gridCellAnchor(.bottomTrailing)

            }
        }
    }
}

#Preview {
    ColorGridView()
}
