//
//  TabPageExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct TabPageExampleView: View {
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        TabView {
            ForEach(inspirations) { inspiration in
                InspirationCard(inspiration: inspiration)
                    .padding()
            }
        }
        #if os(iOS)
        .tabViewStyle(.page(indexDisplayMode: .always))
        .indexViewStyle(.page(backgroundDisplayMode: .always))
        #endif
       // .background(Color.black)
    }
}

#Preview {
    TabPageExampleView()
}
