//
//  HorizontalScrollExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct HorizontalScrollExampleView: View {
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        ScrollView(.horizontal) {
            LazyHStack {
                ForEach(inspirations) { inspiration in
                   InspirationCard(inspiration: inspiration)
                }
            }
            .padding()
        }
        .frame(height: 200)
    }
}

#Preview {
    HorizontalScrollExampleView()
}
