//
//  MultiLineTextExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.09.2023.
//

import SwiftUI

struct MultiLineTextExampleView: View {
    
    let text = Lorem.paragraph
    
    var body: some View {
        VStack(spacing: 20) {
            Text(text)
            
            Text(text)
                .multilineTextAlignment(.center)
            
            Text(text)
                .multilineTextAlignment(.trailing)
        }
        .padding()
    }
}

#Preview {
    MultiLineTextExampleView()
}
