//
//  SafeAreaExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct SafeAreaExampleView: View {
    var body: some View {
        
        Image(.cat1)
            .resizable()
            .scaledToFill()
          //  .edgesIgnoringSafeArea(.all)
            .ignoresSafeArea(.container, edges: .all)
    }
}

#Preview {
    SafeAreaExampleView()
}
