//
//  RegistrationView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct RegistrationView: View {
    
    @State private var email = ""
    @State private var password = ""
    @State private var repeatPassword = ""
    
    var body: some View {
        Form {
            
            Text("Create New Account")
                .font(.title3)
                .bold()
            TextField("Email", text: $email)
            TextField("Password", text: $password)
            TextField("Repeat Password", text: $repeatPassword)
            
            HStack {
                Button {
                    
                } label: {
                    Text("Skip")
                }
                Button {
                    
                } label: {
                    Text("Register")
                }
                .buttonStyle(.borderedProminent)
                .disabled(email.isEmpty)
            }
        }
        .padding()
        .frame(maxWidth: 400)
        .frame(maxWidth: .infinity, maxHeight: .infinity)
    }
}

#Preview {
    RegistrationView()
}
